%define	name	libkipi
%define	version	0.1.5

%define release %mkrel 2
%define	Summary	KDE Image Plugin Interface

%define realname kipi

%define	major	0
%define	libname	%mklibname %{realname} %major
%define	libnamedev %mklibname %{realname} %major -d

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group: 		System/Libraries
Source0:	http://prdownloads.sourceforge.net/kipi/%{name}-%{version}.tar.bz2
URL: 		http://extragear.kde.org/apps/kipi.php
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel
BuildRequires:	libxt-devel

#added because of the previous version number
Epoch: 1

Provides:	%{name} = %{epoch}:%{version}-%{release}

%description
 The library of the KDE Image Plugin Interface.

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}

%{libname} contains kipi libraries

%package -n	%{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires: 	%{libname} = %{epoch}:%version-%release
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{libnamedev}

%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.

%prep
%setup -q 

QTDIR=%{qtdir}                                                                  export QTDIR

make -f Makefile.cvs
%build
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif
./configure --disable-rpath \
            --prefix=%_prefix \
            --libdir=%_libdir $kdelibsuffix \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --enable-final \
            --disable-debug
%make

%install
rm -rf %buildroot
%makeinstall

%find_lang %name

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files -n %libname -f %name.lang
%defattr(0644, root, root, 0755)
%_datadir/servicetypes/kipiplugin.desktop

%dir %_datadir/apps/kipi/
%_datadir/apps/kipi/*
%_datadir/icons/hicolor/16x16/apps/*
%_datadir/icons/hicolor/22x22/apps/*
%_datadir/icons/hicolor/32x32/apps/*
%_datadir/icons/hicolor/48x48/apps/*
%{_libdir}/*.so.*
%{_libdir}/*.la

%files -n %libnamedev
%defattr(0644, root, root, 0755)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/%name.pc


%changelog
* Mon Dec 04 2006 Angelo Naselli <anaselli@mandriva.org> 0.1.5-2mdv2007.0
+ Revision: 90417
- forgot to fix release
- fixed Provides field for devel package

* Sun Dec 03 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.5-1mdv2007.1
+ Revision: 90266
- new version 0.1.5
- Import libkipi



* Sat Aug 05 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1:0.1.4-3
- add BuildRequires: libxt-devel

* Mon Jun 19 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.4-2mdk
- Rebuild

* Wed May 17 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.4-1mdk
- new release

* Sun May 14 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-2mdk
- Fix build problem

* Sun May 07 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-1mdk
new release

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-2mdk
- backport from svn admin to allow compiling under kde 3.5

* Mon Sep 26 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-1mdk
- new release

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.1.1-4
- Rebuild

* Wed Mar  9 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1.1-3mdk
- fix build on lib64 platforms

* Sun Feb 13 2005 Angelo Naselli <anaselli@mandrake.org> 0.1.1-2mdk
- DistroSpecificReleaseTag support

* Wed Feb 09 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.1-1mdk
- 0.1.1

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-4mdk
- Rebuild with new libkipi

* Wed Dec 15 2004 Stefan van der Eijk <stefan@mandrake.org> 0.1-3mdk
- BuildRequires

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-2mdk
- Fix spec file

* Sat Oct 16 2004 Angelo Naselli <anaselli@mandrake.org> 0.1-1mdk
- new version

* Mon Sep 20 2004 Angelo Naselli <anaselli@mandrake.org> 20040919-1mdk
- new version (gwenview snapshot)

* Wed Sep 08 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-3mdk
- changed the URL with the official one

* Tue Aug 24 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-2mdk
- changed Summary

* Tue Aug 24 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-1mdk
- built mdk version

* Mon Jun 12 2004 Angelo Naselli <random_lx@yahoo.com> 20040611-1mdk
- built mdk version

* Mon May 10 2004 Angelo Naselli <random_lx@yahoo.com> 20040509-1mdk
- built mdk version
